[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFishEncryptStream.Destroy

Free the TBlowFishEncryptStream

## Declaration

Source position: blowfish.pp line 70

`public destructor TBlowFishEncryptStream.Destroy; override;`

## Description

Destroy flushes the encryption buffer, and writes it to the destination stream. After that the Inherited destructor is called to clean up the TBlowFishEncryptStream instance.

## See also

Flush |  | Flush the encryption buffer
Create |  | Create a new instance of the TBlowFishStream class

Documentation generated on: Feb 26 2014